Index: /trunk/anuga_core/source/anuga/__init__.py
===================================================================
--- /trunk/anuga_core/source/anuga/__init__.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/__init__.py	(revision 8124)
@@ -249,5 +249,5 @@
             msg = 'Caching was requested, but caching module'+\
                   'could not be imported'
-            raise msg
+            raise (msg)
 
 
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/ermapper_grids.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/ermapper_grids.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/ermapper_grids.py	(revision 8124)
@@ -176,5 +176,5 @@
     #    else:
     #        msg = 'Format %s is not yet defined by celltype_map' %data_format
-    #        raise msg
+    #        raise Exception(msg)
         
     
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/file_function.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/file_function.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/file_function.py	(revision 8124)
@@ -215,5 +215,5 @@
         # suggestion about reading hydrographs.
         # This may also deal with the gist of ticket:289 
-        raise 'Must be a NetCDF File'
+        raise Exception('Must be a NetCDF File')
 
 
@@ -271,5 +271,5 @@
     if quantity_names is None or len(quantity_names) < 1:
         msg = 'No quantities are specified in file_function'
-        raise Exception, msg
+        raise Exception(msg)
  
     if interpolation_points is not None:
@@ -289,5 +289,5 @@
               % (str(missing), filename)
         fid.close()
-        raise Exception, msg
+        raise Exception(msg)
 
     # Decide whether this data has a spatial dimension
@@ -298,14 +298,14 @@
 
     if filename[-3:] == 'tms' and spatial is True:
-        msg = 'Files of type tms must not contain spatial  information'
+        msg = 'Files of type TMS must not contain spatial information'
         raise Exception(msg)
 
     if filename[-3:] == 'sww' and spatial is False:
-        msg = 'Files of type sww must contain spatial information'        
+        msg = 'Files of type SWW must contain spatial information'        
         raise Exception(msg)
 
     if filename[-3:] == 'sts' and spatial is False:
         #What if mux file only contains one point
-        msg = 'Files of type sts must contain spatial information'        
+        msg = 'Files of type STS must contain spatial information'        
         raise Exception(msg)
 
@@ -414,9 +414,9 @@
                != len(temp)-1:
                 msg='incorrect number of segments'
-                raise msg
+                raise Exception(msg)
             vertex_coordinates=ensure_numeric(temp)
             if len(vertex_coordinates)==0:
                 msg = 'None of the sts gauges fall on the boundary'
-                raise msg
+                raise Exception(msg)
         else:
             gauge_neighbour_id=None
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/gauge.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/gauge.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/gauge.py	(revision 8124)
@@ -156,5 +156,5 @@
     except Exception, e:
         msg = 'File "%s" could not be opened: Error="%s"' % (gauge_file, e)
-        raise msg
+        raise Exception(msg)
 
     if verbose: log.critical('Gauges obtained from: %s' % gauge_file)
@@ -193,5 +193,5 @@
     else:
         msg = 'File "%s" could not be opened: no read permission' % sww_file
-        raise msg
+        raise Exception(msg)
 
     sww_files = get_all_swwfiles(look_in_dir=dir_name,
@@ -453,5 +453,5 @@
     except Exception, e:
         msg = 'File "%s" could not be opened: Error="%s"' % (gauge_filename, e)
-        raise msg
+        raise Exception(msg)
 
     if report is None:
@@ -491,5 +491,5 @@
         except Exception, e:
             msg = 'File "%s" could not be opened: Error="%s"' % (swwfile, e)
-            raise msg
+            raise Exception(msg)
 
         if verbose:
@@ -543,5 +543,5 @@
         if time_min < theminT: # min(T):
             msg = 'Minimum time entered not correct - please try again'
-            raise Exception, msg
+            raise Exception(msg)
 
     if time_max is None:
@@ -550,5 +550,5 @@
         if time_max > themaxT: # max(T):
             msg = 'Maximum time entered not correct - please try again'
-            raise Exception, msg
+            raise Exception(msg)
 
     if verbose and len(gauge_index) > 0:
@@ -611,5 +611,5 @@
                   % filename
             msg += 'The header must be: easting, northing, name, elevation'
-            raise Exception, msg
+            raise Exception(msg)
 
         if elev_index is None: 
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_boundary_conditions.py	(revision 8124)
@@ -26,5 +26,5 @@
     def evaluate(self, vol_id=None, edge_id=None):
         msg = 'Generic class Boundary must be subclassed'
-        raise Exception, msg
+        raise Exception(msg)
 
 
@@ -41,5 +41,5 @@
         if domain is None:
             msg = 'Domain must be specified for transmissive boundary'
-            raise Exception, msg
+            raise Exception(msg)
 
         self.domain = domain
@@ -73,5 +73,5 @@
         if conserved_quantities is None:
             msg = 'Must specify one value for each conserved quantity'
-            raise Exception, msg
+            raise Exception(msg)
 
         self.conserved_quantities=num.array(conserved_quantities, num.float)
@@ -116,12 +116,12 @@
 
         if domain is None:
-            raise Exception, 'You must specify a domain to Time_boundary'
+            raise Exception('You must specify a domain to Time_boundary')
 
         # FIXME: Temporary code to deal with both f and function
         if function is not None and f is not None:
-            raise Exception, 'Specify either function or f to Time_boundary'
+            raise Exception('Specify either function or f to Time_boundary')
             
         if function is None and f is None:
-            raise Exception, 'You must specify a function to Time_boundary'
+            raise Exception('You must specify a function to Time_boundary')
             
         if f is None:
@@ -133,5 +133,5 @@
         except Exception, e:
             msg = 'Function for time boundary could not be executed:\n%s' %e
-            raise msg
+            raise Exception(msg)
 
 
@@ -143,5 +143,5 @@
             msg += 'Specified function should return either list or array.\n'
             msg += 'I got %s' %str(q)
-            raise msg
+            raise Exception(msg)
 
         msg = 'ERROR: Time boundary function must return a 1d list or array '
@@ -163,8 +163,8 @@
             res = self.f(self.domain.time)
         except Modeltime_too_early, e:
-            raise Modeltime_too_early, e
+            raise Modeltime_too_early(e)
         except Modeltime_too_late, e:
             if self.default_boundary is None:
-                raise Exception, e # Reraise exception
+                raise Exception(e) # Reraise exception
             else:
                 # Pass control to default boundary
@@ -223,5 +223,5 @@
         
         if function is None:
-            raise Exception, 'You must specify a function to Time_space_boundary'
+            raise Exception('You must specify a function to Time_space_boundary')
             
         try:
@@ -229,5 +229,5 @@
         except Exception, e:
             msg = 'Function for time_space_boundary could not be executed:\n%s' %e
-            raise msg
+            raise Exception(msg)
 
 
@@ -239,5 +239,5 @@
             msg += 'Specified function should return either list or array.\n'
             msg += 'I got %s' %str(q)
-            raise msg
+            raise Exception(msg)
 
         msg = 'ERROR: Time_space_boundary function must return a 1d list or array '
@@ -262,8 +262,8 @@
             res = self.function(self.domain.get_time(), x, y)
         except Modeltime_too_early, e:
-            raise Modeltime_too_early, e
+            raise Modeltime_too_early(e)
         except Modeltime_too_late, e:
             if self.default_boundary is None:
-                raise Exception, e # Reraise exception
+                raise Exception(e) # Reraise exception
             else:
                 # Pass control to default boundary
@@ -437,8 +437,8 @@
                 res = self.F(t, point_id=i)
             except Modeltime_too_early, e:
-                raise Modeltime_too_early, e
+                raise Modeltime_too_early(e)
             except Modeltime_too_late, e:
                 if self.default_boundary is None:
-                    raise Exception, e # Reraise exception
+                    raise Exception(e) # Reraise exception
                 else:
                     # Pass control to default boundary
@@ -486,5 +486,5 @@
                         msg += 'the file %s.\n' %self.F.filename
                         msg += 'Check this file for NANs.'
-                raise Exception, msg
+                raise Exception(msg)
             
             return res 
@@ -492,5 +492,5 @@
             msg = 'Boundary call without point_id not implemented.\n'
             msg += 'vol_id=%s, edge_id=%s' %(str(vol_id), str(edge_id))
-            raise Exception, msg
+            raise Exception(msg)
 
 class AWI_boundary(Boundary):
@@ -641,5 +641,5 @@
                         msg += 'the file %s.\n' % self.F.filename
                         msg += 'Check this file for NANs.'
-                raise Exception, msg
+                raise Exception(msg)
             
             q[0] = res[0] # Take stage, leave momentum alone
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_domain.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_domain.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/generic_domain.py	(revision 8124)
@@ -413,5 +413,5 @@
             msg = 'Values for both vertex and edge was specified.'
             msg += 'Only one (or none) is allowed.'
-            raise Exception, msg
+            raise Exception(msg)
 
         q = num.zeros(len(self.conserved_quantities), num.float)
@@ -452,5 +452,5 @@
             msg = 'Values for both vertex and edge was specified.'
             msg += 'Only one (or none) is allowed.'
-            raise Exception, msg
+            raise Exception(msg)
 
         q = num.zeros(len(self.evolved_quantities), num.float)
@@ -828,5 +828,5 @@
                 msg += 'in set_boundary.\n'
                 msg += 'The tags are: %s' %self.get_boundary_tags()
-                raise Exception, msg
+                raise Exception(msg)
 
     ##
@@ -942,5 +942,5 @@
 
                 if polygon in self.quantities:
-                    raise Exception, msg
+                    raise Exception(msg)
 
                 try:
@@ -950,10 +950,10 @@
                     pass
                 else:
-                    raise Exception, msg
+                    raise Exception(msg)
 
                 # In any case, we don't allow polygon to be a string
                 msg = ('argument "polygon" must not be a string: '
                        'I got polygon="%s"') % polygon
-                raise Exception, msg
+                raise Exception(msg)
 
             # Get indices for centroids that are inside polygon
@@ -1330,5 +1330,5 @@
 
         msg = '%s is an incorrect timestepping type' % timestepping_method
-        raise Exception, msg
+        raise Exception(msg)
 
     ##
@@ -1444,5 +1444,5 @@
         if finaltime is not None and duration is not None:
             msg = 'Only one of finaltime and duration may be specified'
-            raise Exception, msg
+            raise Exception(msg)
         else:
             if finaltime is not None:
@@ -1531,5 +1531,5 @@
                     # Now changed to Exception.
                     msg = ('WARNING (domain.py): time overshot finaltime. ')
-                    raise Exception, msg
+                    raise Exception(msg)
 
                 # Log and then Yield final time and stop
@@ -1808,5 +1808,5 @@
             msg = 'Method conserved_values_to_evolved_values must be overridden'
             msg += ' by Domain subclass'
-            raise Exception, msg
+            raise Exception(msg)
 
         return q_evol
@@ -1846,5 +1846,5 @@
                     msg = 'Boundary must return array of either conserved'
                     msg += ' or evolved quantities'
-                    raise Exception, msg
+                    raise Exception(msg)
                 
                 for j, name in enumerate(self.evolved_quantities):
@@ -1857,5 +1857,5 @@
     def compute_fluxes(self):
         msg = 'Method compute_fluxes must be overridden by Domain subclass'
-        raise Exception, msg
+        raise Exception(msg)
 
 
@@ -1936,5 +1936,5 @@
                     log.critical(stats)
 
-                    raise Exception, msg
+                    raise Exception(msg)
                 else:
                     # Try to overcome situation by switching to 1 order
@@ -2033,5 +2033,5 @@
                 Q.extrapolate_second_order()
             else:
-                raise Exception, 'Unknown order'
+                raise Exception('Unknown order: %s' % str(self._order_))
 
     ##
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/mesh_factory.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/mesh_factory.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/mesh_factory.py	(revision 8124)
@@ -685,5 +685,5 @@
                               int(float(fields[2]))-1])
         else:
-            raise 'wrong format in ' + filename
+            raise Excetion('wrong format in %s' % filename)
 
     elements = [] #Final list of elements
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/neighbour_mesh.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/neighbour_mesh.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/neighbour_mesh.py	(revision 8124)
@@ -262,11 +262,11 @@
             if neighbourdict.has_key((a,b)):
                     msg = "Edge 2 of triangle %d is duplicating edge %d of triangle %d.\n" %(i,neighbourdict[a,b][1],neighbourdict[a,b][0])
-                    raise Exception, msg
+                    raise Exception(msg)
             if neighbourdict.has_key((b,c)):
                     msg = "Edge 0 of triangle %d is duplicating edge %d of triangle %d.\n" %(i,neighbourdict[b,c][1],neighbourdict[b,c][0])
-                    raise msg
+                    raise Exception(msg)
             if neighbourdict.has_key((c,a)):
                     msg = "Edge 1 of triangle %d is duplicating edge %d of triangle %d.\n" %(i,neighbourdict[c,a][1],neighbourdict[c,a][0])
-                    raise msg
+                    raise Exception(msg)
 
             neighbourdict[a,b] = (i, 2) #(id, edge)
@@ -427,5 +427,5 @@
             msg = 'Boundary dictionary must be defined before '
             msg += 'building boundary structure'
-            raise msg
+            raise Exception(msg)
 
 
@@ -505,5 +505,5 @@
             if p0 is None:
                 msg = 'Impossible: p0 is None!?'
-                raise Exception, msg
+                raise Exception(msg)
 
             # Register potential paths from A to B
@@ -876,5 +876,5 @@
         if is_outside_polygon(point, polygon):
             msg = 'Point %s is outside mesh' %str(point)
-            raise Exception, msg
+            raise Exception(msg)
 
 
@@ -889,5 +889,5 @@
 
         msg = 'Point %s not found within a triangle' %str(point)
-        raise Exception, msg
+        raise Exception(msg)
 
 
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/quantity.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/quantity.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/quantity.py	(revision 8124)
@@ -423,5 +423,5 @@
             if indices is not None:
                 msg = 'Only one of polygon and indices can be specified'
-                raise Exception, msg
+                raise Exception(msg)
 
             msg = 'With polygon selected, set_quantity must provide '
@@ -429,5 +429,5 @@
             msg += 'a constant.'
             if numeric is None:
-                raise Exception, msg
+                raise Exception(msg)
             else:
                 # Check that numeric is as constant
@@ -457,9 +457,9 @@
         if location == 'edges':
             msg = 'edges has been deprecated as valid location'
-            raise Exception, msg
+            raise Exception(msg)
 
         if location not in ['vertices', 'centroids', 'unique vertices']:
             msg = 'Invalid location: %s' % location
-            raise Exception, msg
+            raise Exception(msg)
 
         msg = 'Indices must be a list, array or None'
@@ -488,5 +488,5 @@
                     msg = ("Illegal type for variable 'numeric': %s"
                            % type(numeric))
-                    raise Exception, msg
+                    raise Exception(msg)
                 self.set_values_from_constant(numeric, location,
                                               indices, verbose)
@@ -513,5 +513,5 @@
                                       use_cache=use_cache)
         else:
-            raise Exception, "This can't happen :-)"
+            raise Exception("This can't happen :-)")
 
         # Update all locations in triangles
@@ -665,5 +665,5 @@
             else:
                 msg = 'Values array must be 1d or 2d'
-                raise Exception, msg
+                raise Exception(msg)
 
     ##
@@ -769,5 +769,5 @@
                         self.vertex_values[i, j] = values[3*i + j]
         else:
-            raise Exception, 'Not implemented: %s' % location
+            raise Exception('Not implemented: %s' % location)
 
     ##
@@ -802,5 +802,5 @@
             msg = ("set_values_from_points is only defined for "
                    "location='vertices'")
-            raise Exception, msg
+            raise Exception(msg)
 
         # Take care of georeferencing
@@ -848,5 +848,5 @@
         """Set quantity values from arbitray data points using fit_interpolate.fit"""
 
-        raise Exception, 'set_values_from_points is obsolete, use geospatial data object instead'
+        raise Exception('set_values_from_points is obsolete, use geospatial data object instead')
 
     ##
@@ -882,5 +882,5 @@
         if location != 'vertices':
             msg = "set_values_from_file is only defined for location='vertices'"
-            raise Exception, msg
+            raise Exception(msg)
 
             
@@ -951,5 +951,5 @@
             i = num.argmin(V)
         else:
-            raise ValueError, 'Bad mode value, got: %s' % str(mode)
+            raise ValueError('Bad mode value, got: %s' % str(mode))
 
         if indices is None:
@@ -1190,5 +1190,5 @@
                             'edges', 'unique vertices']:
             msg = 'Invalid location: %s' % location
-            raise Exception, msg
+            raise Exception(msg)
 
 
@@ -1218,5 +1218,5 @@
                 if len(triangles) == 0:
                     msg = 'Unique vertex not associated with triangles'
-                    raise Exception, msg
+                    raise Exception(msg)
 
                 # Go through all triangle, vertex pairs
@@ -1381,5 +1381,5 @@
                     if current_node == N:
                         msg = 'Current node exceeding number of nodes (%d) ' % N
-                        raise Exception, msg
+                        raise Exception(msg)
 
                     k += 1
@@ -1576,5 +1576,5 @@
     def __init__(self, domain, vertex_values=None):
         msg = 'ERROR: Use Quantity instead of Conserved_quantity'
-        raise Exception, msg
+        raise Exception(msg)
 
 
@@ -1611,3 +1611,3 @@
     msg += 'Make sure compile_all.py has been run as described in '
     msg += 'the ANUGA installation guide.'
-    raise Exception, msg
+    raise Exception(msg)
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/region.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/region.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/region.py	(revision 8124)
@@ -20,5 +20,5 @@
     def __call__(self, tag, elements, domain):
         msg = 'Generic class Boundary must be subclassed'
-        raise msg
+        raise Exception(msg)
 
 
@@ -86,5 +86,5 @@
             self.quantity_initial_value = initial_quantity
         if callable(X):
-            raise 'This class does not work with functions'  
+            raise Exception('This class does not work with functions')
 
     def __repr__(self):
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_generic_boundary_conditions.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_generic_boundary_conditions.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_generic_boundary_conditions.py	(revision 8124)
@@ -38,5 +38,5 @@
             pass
         else:
-            raise 'Should have raised exception'
+            raise Exception('Should have raised exception')
 
 
@@ -48,5 +48,5 @@
             pass
         else:
-            raise 'Should have raised exception'
+            raise Exception('Should have raised exception')
 
     def test_dirichlet(self):
@@ -95,5 +95,5 @@
             pass
         else:
-            raise 'Should have raised exception'
+            raise Exception('Should have raised exception')
 
         #Test time bdry, you need to provide a function
@@ -103,5 +103,5 @@
             pass
         else:
-            raise 'Should have raised exception'
+            raise Exception('Should have raised exception')
 
 
@@ -161,5 +161,5 @@
             pass
         else:
-            raise 'Should have raised exception'
+            raise Exception('Should have raised exception')
 
         #Test time bdry, you need to provide a function
@@ -169,5 +169,5 @@
             pass
         else:
-            raise 'Should have raised exception'
+            raise Exception('Should have raised exception')
 
 
@@ -233,5 +233,5 @@
             pass
         else:
-            raise 'Should have raised exception'
+            raise Exception('Should have raised exception')
 
         T = Transmissive_boundary(domain)
@@ -424,5 +424,5 @@
             pass
         else:
-            raise 'Should have raised an exception'        
+            raise Exception('Should have raised an exception')
         
         os.remove(filename + '.txt')
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_neighbour_mesh.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_neighbour_mesh.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_neighbour_mesh.py	(revision 8124)
@@ -42,5 +42,5 @@
         else:
             msg = 'Should have raised exception'
-            raise msg
+            raise Exception(msg)
 
 
@@ -396,5 +396,5 @@
             pass
         else:
-            raise "triangle edge duplicates not caught"
+            raise Exception("triangle edge duplicates not caught")
 
 
@@ -652,5 +652,5 @@
             pass
         else:
-            raise 'Should have raised an exception'
+            raise Exception('Should have raised an exception')
 
         #Too few points - 1 element
@@ -660,5 +660,5 @@
             pass
         else:
-            raise 'Should have raised an exception'
+            raise Exception('Should have raised an exception')
 
         #Wrong dimension of vertices
@@ -668,5 +668,5 @@
             pass
         else:
-            raise 'Should have raised an exception'
+            raise Exception('Should have raised an exception')
 
         #Unsubscriptable coordinates object raises exception
@@ -676,5 +676,5 @@
             pass
         else:
-            raise 'Should have raised an exception'
+            raise Exception('Should have raised an exception')
 
         #FIXME: This has been commented out pending a decision
@@ -687,5 +687,5 @@
         #    pass
         #else:
-        #    raise 'Should have raised an exception'
+        #    raise Exception('Should have raised an exception')
 
         #Specifying wrong non existing segment
@@ -695,5 +695,5 @@
             pass
         else:
-            raise 'Should have raised an exception'
+            raise Exception('Should have raised an exception')
 
 
@@ -1211,5 +1211,5 @@
         else:
             msg = 'Should have caught point outside polygon (Non)'            
-            raise Exception, msg
+            raise Exception(msg)
             
         id = mesh.get_triangle_containing_point([0.5, 1.0])
@@ -1268,5 +1268,5 @@
                 intersected_triangles = [2,3,6,7]
             else:
-                raise Exception, 'this test is not for parallel lines'
+                raise Exception('this test is not for parallel lines')
 
 
@@ -1761,6 +1761,6 @@
                     assert num.allclose(x.normal, [s2,-s2])
                 else:
-                    msg = 'Unknow segment: %s' %x.segment
-                    raise Exception, msg
+                    msg = 'Unknown segment: %s' %x.segment
+                    raise Exception(msg)
                 
 
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_quantity.py	(revision 8124)
@@ -75,5 +75,5 @@
             pass
         else:
-            raise 'Should have raised empty quantity exception'
+            raise Exception('Should have raised empty quantity exception')
 
 
@@ -84,5 +84,5 @@
         #    pass
         #except:
-        #    raise 'Should have raised "mising mesh object" error'
+        #    raise Exception('Should have raised "mising mesh object" error')
 
 
@@ -286,5 +286,5 @@
             pass
         except:
-            raise 'should have raised Assertionerror'
+            raise Exception('should have raised Assertionerror')
 
 
@@ -461,5 +461,5 @@
         else:
             msg = 'Should have caught this'
-            raise msg
+            raise Exception(msg)
 
 
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/test_util.py	(revision 8124)
@@ -166,5 +166,5 @@
             #if t == t0:
             #    msg = 'Duplicate timestep found: %f, %f' %(t0, t)
-            #   raise msg
+            #   raise Exception(msg)
             t0 = t
              
@@ -1269,5 +1269,5 @@
         else:
             msg = 'Should have raised a NameError Exception'
-            raise msg
+            raise Exception(msg)
 
 
@@ -1279,5 +1279,5 @@
         else:
             msg = 'Should have raised a AssertionError Exception'
-            raise msg        
+            raise Exception(msg)
         
 
Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/util.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/util.py	(revision 8124)
@@ -113,8 +113,8 @@
     except NameError, e:
         msg = 'Expression "%s" could not be evaluated: %s' % (expression, e)
-        raise NameError, msg
+        raise NameError(msg)
     except ValueError, e:
         msg = 'Expression "%s" could not be evaluated: %s' % (expression, e)
-        raise ValueError, msg
+        raise ValueError(msg)
 
 
@@ -146,5 +146,5 @@
                 return s
             else:
-                raise 'Illegal input to get_textual_float:', value
+                raise Exception('Illegal input to get_textual_float: %s' % str(value))
         else:
             return format % float(value)
@@ -177,6 +177,6 @@
     p = list(set(quantity).difference(set(all_quantity)))
     if len(p) != 0:
-        msg = 'Quantities %s do not exist - please try again' %p
-        raise Exception, msg
+        msg = 'Quantities %s do not exist - please try again' % p
+        raise Exception(msg)
 
 
@@ -340,5 +340,5 @@
     msg += 'Please use "from anuga.abstract_2d_finite_volumes.util import ' \
            'csv2timeseries_graphs"'
-    raise Exception, msg
+    raise Exception(msg)
 
     return csv2timeseries_graphs(directories_dic,
@@ -502,5 +502,5 @@
     except ImportError:
         msg='csv2timeseries_graphs needs pylab to be installed correctly'
-        raise msg
+        raise Exception(msg)
             #ANUGA don't need pylab to work so the system doesn't 
             #rely on pylab being installed 
Index: /trunk/anuga_core/source/anuga/advection/advection.py
===================================================================
--- /trunk/anuga_core/source/anuga/advection/advection.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/advection/advection.py	(revision 8124)
@@ -105,5 +105,5 @@
                 #Q.limit()
             else:
-                raise 'Unknown order'
+                raise Exception('Unknown order: %s' % str(self._order_))
             #Q.interpolate_from_vertices_to_edges()
 
